XISUITEDokumentation

Site Studio — Templates

3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List the organization’s site templates#

GET/site-templatesToken

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/site-templates" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Delete a site template (sites made from it are unaffected)#

DELETE/site-templates/{templateId}Token

Parameter

NameOrtTypBeschreibung
templateIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/site-templates/{templateId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Save a site as a reusable template#

POST/site-templates/from-site/{funnelId}Token

Parameter

NameOrtTypBeschreibung
funnelIdPflichtPfadstring–

Request-Bodyapplication/jsonSaveSiteAsTemplateDto

NameTypBeschreibung
namePflichtstring

Template name (unique per organization, ignoring case)

descriptionobject

Short description

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/site-templates/from-site/{funnelId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…"}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions